%define srcname SQLAlchemy

Name:           python-sqlalchemy
Version:        0.3.11
Release:        %mkrel 1
Summary:        Modular and flexible ORM library for python

Group:          Development/Python
License:        MIT
URL:            http://www.sqlalchemy.org/
Source0:        http://downloads.sourceforge.net/sqlalchemy/%{srcname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.

%prep
%setup -q -n %{srcname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --single-version-externally-managed
# remove unnecessary scripts for building documentation
rm -rf doc/build

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE PKG-INFO CHANGES doc examples
%{python_sitelib}/%{srcname}-%{version}-py%{pyver}.egg-info
%{python_sitelib}/sqlalchemy/

%changelog

* Mon Oct 22 2007 Doktor5000 <rpm@mandrivauser.de> 0.3.11-1mud2008.0
- new version 0.3.11
- rebuild for Mandrivalinux 2008.0

* Wed Mar 28 2007 Doktor5000 <rpm@mandrivauser.de> 0.3.6-1mud2007.0
- initial package, required for griffith
